std::array::front(3)

NAME
std::array::front - std::array::front

Synopsis
   reference front(); (until C++17)
   constexpr reference front(); (since C++17)
   const_reference front() const; (until C++14)
   constexpr const_reference front() const; (since C++14)
   Returns a reference to the first element in the container.
   Calling front on an empty container is undefined.

Parameters
   (none)

Return value
   reference to the first element

Complexity
   Constant

Notes
   For a container c, the expression c.front() is equivalent to *c.begin().

Example
   The following code uses front to display the first element of a std::array<char, 6>: // Run this code
 #include <array>
 #include <iostream>
 int main()
 {
     std::array<char, 6> letters {'o', 'm', 'g', 'w', 't', 'f'};
     if (!letters.empty()) {
         std::cout << "The first character is '" << letters.front() << "'.\n";
     }
 }

Output:
 The first character is 'o'.

See also
   back access the last element
   (C++11) (public member function)